#!/bin/bash

# slurm specific options for Marenostrum4
#SBATCH --qos=debug
#SBATCH -N 1
#SBATCH -n 3
#SBATCH -c 1
#SBATCH -t 1:00:00
#SBATCH --exclusive

#load python and netcdf modules
export PYTHONPATH=""
module load intel/2017.4
module load intel/2017.4
module load python/3.6.1
module load netcdf/4.2
module load CDO/1.9.3
module list
export MPIRUN="mpirun"


# run IFS+NEMO+runoff toy model
mpirun -np 1 python3 generate_yaml.py --model_name datacoupler --template_name template_amip.yaml --file_name exp1_aimp.yaml --leg_length_sec 5097600  --cpl_freq_amip_sec 86400 --StartYear 2005  --StartMonth 01  --StartDay 01  --FixYear 0 
